package com.cooleshow.teacher.ui.income;

import android.os.Bundle;
import android.view.View;

import androidx.annotation.Nullable;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.teacher.R;
import com.cooleshow.teacher.contract.WithdrawalSuccessContract;
import com.cooleshow.teacher.databinding.ActivityWithdrawalSuccessBinding;
import com.cooleshow.teacher.presenter.income.WithdrawalSuccessPresenter;

import io.rong.imkit.utils.StatusBarUtil;

/**
 * 创建日期：2022/5/24 9:53
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.IncomeCenter.TEACHER_MINE_WITHDRAWAL_SUCCESS)
public class WithdrawalSuccessActivity extends BaseMVPActivity<ActivityWithdrawalSuccessBinding, WithdrawalSuccessPresenter> implements WithdrawalSuccessContract.WithdrawalSuccessView, View.OnClickListener {
    @Override
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.tv_i_know:
                finish();
                break;
        }
    }
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        StatusBarUtil.setStatusBarDarkTheme(this, true);
    }
    @Override
    protected void initView() {
        initMidTitleToolBar(viewBinding.toolbarInclude.toolbar, "申请成功");
        viewBinding.tvIKnow.setOnClickListener(this);
    }

    @Override
    protected ActivityWithdrawalSuccessBinding getLayoutView() {
        return ActivityWithdrawalSuccessBinding.inflate(getLayoutInflater());
    }

    @Override
    protected WithdrawalSuccessPresenter createPresenter() {
        return new WithdrawalSuccessPresenter();
    }
}
